Posted at

NMatrixをUbuntu14.04 LTSにインストールする

More than 3 years have passed since last update.

現在開発中のRuby製データフレーム、MikonのインストールにはNMatrixが必要。

NMatrixのインストールにつまづく場合、以下を試すこと。

$ sudo apt-get install libatlas-base-dev

$ sudo apt-get --purge remove liblapack-dev liblapack3 liblapack3gf
$ gem install nmatrix -- --with-opt-include=/usr/include/atlas

以上。